cudnn_frontend::EngineFallbackListBuilder_v8
cudnn_frontend_EngineFallbackList.h
EngineFallbackList_v8 EngineFallbackList_v8 cudnn_frontend::EngineFallbackListBuilder_v8::m_fallback_list m_fallback_list
auto auto cudnn_frontend::EngineFallbackListBuilder_v8::setOperationGraph (OperationGraph_v8 &opGraph_) -> EngineFallbackListBuilder_v8 & setOperationGraph OperationGraph_v8 & opGraph_

Set operationGraph for the engine (opGraph is not destroyed)

auto auto cudnn_frontend::EngineFallbackListBuilder_v8::setOperation (cudnnBackendDescriptorType_t mode) -> EngineFallbackListBuilder_v8 & setOperation cudnnBackendDescriptorType_t mode cudnn_frontend::EngineFallbackList_v8::mode
EngineFallbackList_v8 && EngineFallbackList_v8&& cudnn_frontend::EngineFallbackListBuilder_v8::build () build

constructs the EngineFallbackList_v8 by calling the cudnn API Throws the appropriate error message

cudnn_frontend::EngineFallbackList_v8::EngineFallbackListBuilder_v8
cudnn_frontend::get_fallback_engine_list
cudnn_frontend::getLogger
cudnn_frontend::EngineFallbackList_v8::operator=
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::EngineConfigBuilder_v8::setEngine
cudnn_frontend::EngineBuilder_v8::setGlobalEngineIdx
cudnn_frontend::EngineFallbackListBuilder_v8::EngineFallbackListBuilder_v8
()=default
EngineFallbackListBuilder_v8
cudnn_frontend::EngineFallbackListBuilder_v8::~EngineFallbackListBuilder_v8
()=default
~EngineFallbackListBuilder_v8
cudnn_frontend::EngineFallbackListBuilder_v8::EngineFallbackListBuilder_v8
(EngineFallbackListBuilder_v8 &&)=delete
EngineFallbackListBuilder_v8
EngineFallbackListBuilder_v8 &&
cudnn_frontend::EngineFallbackListBuilder_v8::EngineFallbackListBuilder_v8
(EngineFallbackListBuilder_v8 const &)=delete
EngineFallbackListBuilder_v8
EngineFallbackListBuilder_v8 const &
EngineFallbackListBuilder_v8 & EngineFallbackListBuilder_v8& cudnn_frontend::EngineFallbackListBuilder_v8::operator= (EngineFallbackListBuilder_v8 const &)=delete operator= EngineFallbackListBuilder_v8 const &

EngineFallBackListBuilder Class Helper class used to build EngineFallBackList class

shared_ptr< OpaqueBackendPointer >
T
std::vector< T >
+elements
cudnn_frontend::EngineFallbackList_v8
-m_engine_configs
-num_ops
-opGraphTag
-opGraph
-mode
uint64_t
cudnn_frontend::EngineFallbackListBuilder_v8
-m_fallback_list
cudnnStatus_t
std::vector< ManagedOpaqueDescriptor >
+elements
< ManagedOpaqueDescriptor >
std::basic_string< char >
cudnnBackendDescriptorType_t
ManagedOpaqueDescriptor
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::EngineFallbackListBuilder_v8
  build
- cudnn_frontend::EngineFallbackListBuilder_v8
  EngineFallbackListBuilder_v8
- cudnn_frontend::EngineFallbackListBuilder_v8
  EngineFallbackListBuilder_v8
- cudnn_frontend::EngineFallbackListBuilder_v8
  EngineFallbackListBuilder_v8
- cudnn_frontend::EngineFallbackListBuilder_v8
  m_fallback_list
- cudnn_frontend::EngineFallbackListBuilder_v8
  operator=
- cudnn_frontend::EngineFallbackListBuilder_v8
  setOperation
- cudnn_frontend::EngineFallbackListBuilder_v8
  setOperationGraph
- cudnn_frontend::EngineFallbackListBuilder_v8
  ~EngineFallbackListBuilder_v8